'v 08-12-09
debug = false
EnableZoneSupport(true)

REM
REM This script plays a list of 4 videos, and sends a signal before
REM each video is played.

counter=1
video_total=4
preload$ = "pre1"
current_video$ = "video1.ts"

REM
REM Setting Manual IP address
nc = CreateObject("roNetworkConfiguration", 0)
nc.SetIP4Address("192.168.1.10")
nc.SetIP4Netmask("255.255.255.0")
nc.SetIP4Broadcast("192.168.1.255")
nc.SetIP4Gateway("192.168.1.1")
nc.Apply()

REM
REM IP address 255.255.255.255 sends to all units
sender = CreateObject("roDatagramSender")
sender.SetDestination("255.255.255.255", 11167)

v = CreateObject("roVideoPlayer")

p = CreateObject("roMessagePort")
v.SetPort(p)

mode=CreateObject("roVideoMode")
mode.SetMode("1024x768x75p")

sleep(10000)

start:
	print "start"
	sender.Send(preload$)
	v.PreloadFile(current_video$)
	sleep(100)
	sender.Send("play")
	v.Play()
	counter = counter + 1

listen:
	msg = wait(2000,p)
	
	if type(msg) = "roVideoEvent" and msg.GetInt() = 8 then

	    if counter > video_total then counter = 1
	
	    if counter = 1 then
		preload$ = "pre1"
		current_video$ = "video1.ts"
	    else if counter = 2 then
		preload$ = "pre2"
		current_video$ = "video2.ts"
	    else if counter = 3 then
		preload$ = "pre3"
		current_video$ = "video3.ts"
	    else if counter = 4 then
		preload$ = "pre4"
		current_video$ = "video4.ts"
	    endif   

	    sleep(1000)
		goto start
	endif

	goto listen
