debug=true
EnableZoneSupport(true)

videoFile1 = "video1.ts"
videoFile2 = "video2.ts"
videoFile3 = "video3.ts"
videoFile4 = "video4.ts"

mode=CreateObject("roVideoMode")
mode.SetMode("1024x768x75p")

REM
REM Setting Manual IP address
nc = CreateObject("roNetworkConfiguration", 0)
nc.SetIP4Address("192.168.1.11")
nc.SetIP4Netmask("255.255.255.0")
nc.SetIP4Broadcast("192.168.1.255")
nc.SetIP4Gateway("192.168.1.1")
nc.Apply()

receiver = CreateObject("roDatagramReceiver", 11167)
v = CreateObject("roVideoPlayer")
sleep(200)

v.PreloadFile(videoFile1)
p = CreateObject("roMessagePort")

receiver.SetPort(p)

listen:
	msg = wait(2000,p)

	if type(msg) = "roDatagramEvent" then 
	if debug print "UDP Message received: ";msg

        command = left(msg, 4)

		if command = "pre1" then
			v.PreloadFile(videoFile1)
		else if command = "pre2" then
			v.PreloadFile(videoFile2)
		else if command = "pre3" then
			v.PreloadFile(videoFile3)
		else if command = "pre4" then
			v.PreloadFile(videoFile4)
		elseif command = "play" then
			v.Play()
			if debug print "Received Command to Play."
		else
			print msg
		endif

	endif

	goto listen
